Subject: bug#35588: [PATCH] ui: Search matches additional package outputs., bug#35588: [PATCH] ui: Search matches additional package outputs.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 08 May 2019 12:39:44 +0200

Hi!

Chris Marusich <[email-masked]> skribis:

> In light of that, I've chosen to exclude all of the following outputs:
>
>   '("out" "doc" "debug" "lib" "static" "bin" "examples" "gui" "tests"
>     "utils" "include")
>
> I've also added a test to verify that package outputs are included in
> search results.

I would exclude only the standard output names used by (guix build
gnu-build-system), so:

  ("out" "doc" "debug" "lib" "include" "bin")

That way one can still do ‘guix search git gui’ or ‘guix search bind utils’.

> What do you all think of this latest version?

Thanks for the new test!  LGTM.

Ludo’.